%define	module	File-MMagic
%define	name	perl-%{module}
%define	version	1.27
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Guess file type from filename and/or filehandle
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/File/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.en 
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2007.0
- New release 1.27
- better source URL
- %%mkrel

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdk
- New release 1.26

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix summary
- fix directory ownership
- enable tests
- better url

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-1mdk
- 1.22
- cosmetics

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.17-3mdk
- rebuild for new perl
- rm -rf %{buildroot} in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 1.17-1mdk
- 1.17.

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.16-2mdk
- rebuild

* Fri Nov 21 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.16-1mdk
- 1.16 (to fix bugid 558)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.15-2mdk
- rebuild for perl 5.8.0

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.13-1mdk
- updated to 1.13

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
